This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 150960 - sqlite-tcl library does not load
sqlite-tcl library does not load
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks: 151047
  Show dependency treegraph
 
Reported: 2005-03-12 16:47 EST by Jean-Luc Fontaine
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-24 15:33:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Luc Fontaine 2005-03-12 16:47:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
/usr/share/tcl8.4/sqlite3/pkgIndex.tcl is wrong. Instead of:

package ifneeded sqlite3 3.1 [list load
/usr/src/build/538056-i386/install/usr/share/tcl8.4/sqlite3/libtclsqlite3.so
sqlite3]

it should contain:

package ifneeded sqlite3 3 [list load
/usr/share/tcl8.4/sqlite3/libtclsqlite3.so sqlite3]

Note that it is perfectly allright to perform a hardcoded generation
of the above file in the spec as it will never change, at least until
SQLite 4.

Version-Release number of selected component (if applicable):
3.1.2

How reproducible:
Always

Steps to Reproduce:
$ echo 'package require sqlite3' | tclsh 


Additional info:
Comment 1 Paul Nasrat 2006-01-24 15:33:01 EST
tcl package is currently disabled.  Closing for now.  If a patch is provided to
fixup the pkgIndex.tcl I'll be happy to apply.

Note You need to log in before you can comment on or make changes to this bug.